### Method

# Gtk TreeDragDest drag_data_received

#### Declaration [src]

    gboolean
    gtk_tree_drag_dest_drag_data_received (
      GtkTreeDragDest* drag_dest,
      GtkTreePath* dest,
      const GValue* value
    )

#### Description [src]

Asks the `GtkTreeDragDest` to insert a row before the path `dest`, deriving the contents of the row from `value`. If `dest` is outside the tree so that inserting before it is impossible, `FALSE` will be returned. Also, `FALSE` may be returned if the new row is not created for some model-specific reason. Should robustly handle a `dest` no longer found in the model!.

#### Parameters

`dest` | `GtkTreePath`
| Row to drop in front of.
| The data is owned by the caller of the function.
`value` | `const GValue*`
| Data to drop.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| Whether a new row was created before position `dest`.